## org.eclipse.uml2.codegen.ecore.genmodel
Interface GenModelPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

    public interface GenModelPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `GenModelFactory`

Nested Class Summary
`static interface` `GenModelPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static java.lang.String` `eCONTENT_TYPE` The package content type ID
`static GenModelPackage` `eINSTANCE` The singleton instance of the package
`static java.lang.String` `eNAME` The package name
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI
`static int` `GEN_BASE` The meta object id for the '`Gen Base`' class
`static int` `GEN_BASE__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_BASE_FEATURE_COUNT` The number of structural features of the 'Gen Base' class
`static int` `GEN_CACHE_ADAPTER_SCOPE` The meta object id for the '`Gen Cache Adapter Scope`' enum
`static int` `GEN_CLASS` The meta object id for the '`Gen Class`' class
`static int` `GEN_CLASS__DYNAMIC` The feature id for the 'Dynamic' attribute
`static int` `GEN_CLASS__ECORE_CLASS` The feature id for the 'Ecore Class' reference
`static int` `GEN_CLASS__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_CLASS__GEN_FEATURES` The feature id for the 'Gen Features' containment reference list
`static int` `GEN_CLASS__GEN_OPERATIONS` The feature id for the 'Gen Operations' containment reference list
`static int` `GEN_CLASS__GEN_PACKAGE` The feature id for the 'Gen Package' reference
`static int` `GEN_CLASS__GEN_TYPE_PARAMETERS` The feature id for the 'Gen Type Parameters' containment reference list
`static int` `GEN_CLASS__IMAGE` The feature id for the 'Image' attribute
`static int` `GEN_CLASS__LABEL_FEATURE` The feature id for the 'Label Feature' reference
`static int` `GEN_CLASS__PROVIDER` The feature id for the 'Provider' attribute
`static int` `GEN_CLASS_FEATURE_COUNT` The number of structural features of the 'Gen Class' class
`static int` `GEN_CLASSIFIER` The meta object id for the '`Gen Classifier`' class
`static int` `GEN_CLASSIFIER__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_CLASSIFIER__GEN_PACKAGE` The feature id for the 'Gen Package' reference
`static int` `GEN_CLASSIFIER__GEN_TYPE_PARAMETERS` The feature id for the 'Gen Type Parameters' containment reference list
`static int` `GEN_CLASSIFIER_FEATURE_COUNT` The number of structural features of the 'Gen Classifier' class
`static int` `GEN_DATA_TYPE` The meta object id for the '`Gen Data Type`' class
`static int` `GEN_DATA_TYPE__ECORE_DATA_TYPE` The feature id for the 'Ecore Data Type' reference
`static int` `GEN_DATA_TYPE__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_DATA_TYPE__GEN_PACKAGE` The feature id for the 'Gen Package' reference
`static int` `GEN_DATA_TYPE__GEN_TYPE_PARAMETERS` The feature id for the 'Gen Type Parameters' containment reference list
`static int` `GEN_DATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Gen Data Type' class
`static int` `GEN_ENUM` The meta object id for the '`Gen Enum`' class
`static int` `GEN_ENUM__ECORE_DATA_TYPE` The feature id for the 'Ecore Data Type' reference
`static int` `GEN_ENUM__ECORE_ENUM` The feature id for the 'Ecore Enum' reference
`static int` `GEN_ENUM__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_ENUM__GEN_ENUM_LITERALS` The feature id for the 'Gen Enum Literals' containment reference list
`static int` `GEN_ENUM__GEN_PACKAGE` The feature id for the 'Gen Package' reference
`static int` `GEN_ENUM__GEN_TYPE_PARAMETERS` The feature id for the 'Gen Type Parameters' containment reference list
`static int` `GEN_ENUM__TYPE_SAFE_ENUM_COMPATIBLE` The feature id for the 'Type Safe Enum Compatible' attribute
`static int` `GEN_ENUM_FEATURE_COUNT` The number of structural features of the 'Gen Enum' class
`static int` `GEN_ENUM_LITERAL` The meta object id for the '`Gen Enum Literal`' class
`static int` `GEN_ENUM_LITERAL__ECORE_ENUM_LITERAL` The feature id for the 'Ecore Enum Literal' reference
`static int` `GEN_ENUM_LITERAL__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_ENUM_LITERAL__GEN_ENUM` The feature id for the 'Gen Enum' container reference
`static int` `GEN_ENUM_LITERAL_FEATURE_COUNT` The number of structural features of the 'Gen Enum Literal' class
`static int` `GEN_FEATURE` The meta object id for the '`Gen Feature`' class
`static int` `GEN_FEATURE__CHILDREN` The feature id for the 'Children' attribute
`static int` `GEN_FEATURE__CREATE_CHILD` The feature id for the 'Create Child' attribute
`static int` `GEN_FEATURE__ECORE_FEATURE` The feature id for the 'Ecore Feature' reference
`static int` `GEN_FEATURE__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_FEATURE__GEN_CLASS` The feature id for the 'Gen Class' container reference
`static int` `GEN_FEATURE__KEY` The feature id for the 'Key' attribute
`static int` `GEN_FEATURE__NOTIFY` The feature id for the 'Notify' attribute
`static int` `GEN_FEATURE__PLURALIZATION_EXCEPTION` The feature id for the 'Pluralization Exception' attribute
`static int` `GEN_FEATURE__PROPERTY` The feature id for the 'Property' attribute
`static int` `GEN_FEATURE__PROPERTY_CATEGORY` The feature id for the 'Property Category' attribute
`static int` `GEN_FEATURE__PROPERTY_DESCRIPTION` The feature id for the 'Property Description' attribute
`static int` `GEN_FEATURE__PROPERTY_FILTER_FLAGS` The feature id for the 'Property Filter Flags' attribute list
`static int` `GEN_FEATURE__PROPERTY_MULTI_LINE` The feature id for the 'Property Multi Line' attribute
`static int` `GEN_FEATURE__PROPERTY_SORT_CHOICES` The feature id for the 'Property Sort Choices' attribute
`static int` `GEN_FEATURE_FEATURE_COUNT` The number of structural features of the 'Gen Feature' class
`static int` `GEN_MODEL` The meta object id for the '`Gen Model`' class
`static int` `GEN_MODEL__ARRAY_ACCESSORS` The feature id for the 'Array Accessors' attribute
`static int` `GEN_MODEL__BINARY_COMPATIBLE_REFLECTIVE_METHODS` The feature id for the 'Binary Compatible Reflective Methods' attribute
`static int` `GEN_MODEL__BOOLEAN_FLAGS_FIELD` The feature id for the 'Boolean Flags Field' attribute
`static int` `GEN_MODEL__BOOLEAN_FLAGS_RESERVED_BITS` The feature id for the 'Boolean Flags Reserved Bits' attribute
`static int` `GEN_MODEL__BUNDLE_MANIFEST` The feature id for the 'Bundle Manifest' attribute
`static int` `GEN_MODEL__CACHE_ADAPTER_SUPPORT` The feature id for the 'Cache Adapter Support' attribute
`static int` `GEN_MODEL__CLASS_NAME_PATTERN` The feature id for the 'Class Name Pattern' attribute
`static int` `GEN_MODEL__CODE_FORMATTING` The feature id for the 'Code Formatting' attribute
`static int` `GEN_MODEL__COLOR_PROVIDERS` The feature id for the 'Color Providers' attribute
`static int` `GEN_MODEL__COMPLIANCE_LEVEL` The feature id for the 'Compliance Level' attribute
`static int` `GEN_MODEL__CONTAINMENT_PROXIES` The feature id for the 'Containment Proxies' attribute
`static int` `GEN_MODEL__COPYRIGHT_FIELDS` The feature id for the 'Copyright Fields' attribute
`static int` `GEN_MODEL__COPYRIGHT_TEXT` The feature id for the 'Copyright Text' attribute
`static int` `GEN_MODEL__CREATION_COMMANDS` The feature id for the 'Creation Commands' attribute
`static int` `GEN_MODEL__CREATION_ICONS` The feature id for the 'Creation Icons' attribute
`static int` `GEN_MODEL__CREATION_SUBMENUS` The feature id for the 'Creation Submenus' attribute
`static int` `GEN_MODEL__DYNAMIC_TEMPLATES` The feature id for the 'Dynamic Templates' attribute
`static int` `GEN_MODEL__EDIT_DIRECTORY` The feature id for the 'Edit Directory' attribute
`static int` `GEN_MODEL__EDIT_PLUGIN_CLASS` The feature id for the 'Edit Plugin Class' attribute
`static int` `GEN_MODEL__EDIT_PLUGIN_ID` The feature id for the 'Edit Plugin ID' attribute
`static int` `GEN_MODEL__EDIT_PLUGIN_VARIABLES` The feature id for the 'Edit Plugin Variables' attribute list
`static int` `GEN_MODEL__EDITOR_DIRECTORY` The feature id for the 'Editor Directory' attribute
`static int` `GEN_MODEL__EDITOR_PLUGIN_CLASS` The feature id for the 'Editor Plugin Class' attribute
`static int` `GEN_MODEL__EDITOR_PLUGIN_ID` The feature id for the 'Editor Plugin ID' attribute
`static int` `GEN_MODEL__EDITOR_PLUGIN_VARIABLES` The feature id for the 'Editor Plugin Variables' attribute list
`static int` `GEN_MODEL__FACADE_HELPER_CLASS` The feature id for the 'Facade Helper Class' attribute
`static int` `GEN_MODEL__FACTORY_METHODS` The feature id for the 'Factory Methods' attribute
`static int` `GEN_MODEL__FEATURE_DELEGATION` The feature id for the 'Feature Delegation' attribute
`static int` `GEN_MODEL__FEATURE_MAP_WRAPPER_CLASS` The feature id for the 'Feature Map Wrapper Class' attribute
`static int` `GEN_MODEL__FEATURE_MAP_WRAPPER_INTERFACE` The feature id for the 'Feature Map Wrapper Interface' attribute
`static int` `GEN_MODEL__FEATURE_MAP_WRAPPER_INTERNAL_INTERFACE` The feature id for the 'Feature Map Wrapper Internal Interface' attribute
`static int` `GEN_MODEL__FONT_PROVIDERS` The feature id for the 'Font Providers' attribute
`static int` `GEN_MODEL__FORCE_OVERWRITE` The feature id for the 'Force Overwrite' attribute
`static int` `GEN_MODEL__FOREIGN_MODEL` The feature id for the 'Foreign Model' attribute list
`static int` `GEN_MODEL__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_MODEL__GEN_PACKAGES` The feature id for the 'Gen Packages' containment reference list
`static int` `GEN_MODEL__GENERATE_SCHEMA` The feature id for the 'Generate Schema' attribute
`static int` `GEN_MODEL__IMPORTER_ID` The feature id for the 'Importer ID' attribute
`static int` `GEN_MODEL__INTERFACE_NAME_PATTERN` The feature id for the 'Interface Name Pattern' attribute
`static int` `GEN_MODEL__INVARIANT_PREFIX` The feature id for the 'Invariant Prefix' attribute
`static int` `GEN_MODEL__LANGUAGE` The feature id for the 'Language' attribute
`static int` `GEN_MODEL__MINIMAL_REFLECTIVE_METHODS` The feature id for the 'Minimal Reflective Methods' attribute
`static int` `GEN_MODEL__MODEL_DIRECTORY` The feature id for the 'Model Directory' attribute
`static int` `GEN_MODEL__MODEL_NAME` The feature id for the 'Model Name' attribute
`static int` `GEN_MODEL__MODEL_PLUGIN_CLASS` The feature id for the 'Model Plugin Class' attribute
`static int` `GEN_MODEL__MODEL_PLUGIN_ID` The feature id for the 'Model Plugin ID' attribute
`static int` `GEN_MODEL__MODEL_PLUGIN_VARIABLES` The feature id for the 'Model Plugin Variables' attribute list
`static int` `GEN_MODEL__NON_EXTERNALIZED_STRING_TAG` The feature id for the 'Non Externalized String Tag' attribute
`static int` `GEN_MODEL__NON_NLS_MARKERS` The feature id for the 'Non NLS Markers' attribute
`static int` `GEN_MODEL__OPTIMIZED_HAS_CHILDREN` The feature id for the 'Optimized Has Children' attribute
`static int` `GEN_MODEL__PACKED_ENUMS` The feature id for the 'Packed Enums' attribute
`static int` `GEN_MODEL__PLURALIZED_GETTERS` The feature id for the 'Pluralized Getters' attribute
`static int` `GEN_MODEL__PROVIDER_ROOT_EXTENDS_CLASS` The feature id for the 'Provider Root Extends Class' attribute
`static int` `GEN_MODEL__PUBLIC_CONSTRUCTORS` The feature id for the 'Public Constructors' attribute
`static int` `GEN_MODEL__REDIRECTION` The feature id for the 'Redirection' attribute
`static int` `GEN_MODEL__REFLECTIVE_DELEGATION` The feature id for the 'Reflective Delegation' attribute
`static int` `GEN_MODEL__RICH_CLIENT_PLATFORM` The feature id for the 'Rich Client Platform' attribute
`static int` `GEN_MODEL__ROOT_EXTENDS_CLASS` The feature id for the 'Root Extends Class' attribute
`static int` `GEN_MODEL__ROOT_EXTENDS_INTERFACE` The feature id for the 'Root Extends Interface' attribute
`static int` `GEN_MODEL__ROOT_IMPLEMENTS_INTERFACE` The feature id for the 'Root Implements Interface' attribute
`static int` `GEN_MODEL__RUNTIME_COMPATIBILITY` The feature id for the 'Runtime Compatibility' attribute
`static int` `GEN_MODEL__RUNTIME_JAR` The feature id for the 'Runtime Jar' attribute
`static int` `GEN_MODEL__RUNTIME_VERSION` The feature id for the 'Runtime Version' attribute
`static int` `GEN_MODEL__SAFE_STRINGS` The feature id for the 'Safe Strings' attribute
`static int` `GEN_MODEL__STATIC_PACKAGES` The feature id for the 'Static Packages' attribute list
`static int` `GEN_MODEL__SUPPRESS_CONTAINMENT` The feature id for the 'Suppress Containment' attribute
`static int` `GEN_MODEL__SUPPRESS_EMF_META_DATA` The feature id for the 'Suppress EMF Meta Data' attribute
`static int` `GEN_MODEL__SUPPRESS_EMF_MODEL_TAGS` The feature id for the 'Suppress EMF Model Tags' attribute
`static int` `GEN_MODEL__SUPPRESS_EMF_TYPES` The feature id for the 'Suppress EMF Types' attribute
`static int` `GEN_MODEL__SUPPRESS_GEN_MODEL_ANNOTATIONS` The feature id for the 'Suppress Gen Model Annotations' attribute
`static int` `GEN_MODEL__SUPPRESS_INTERFACES` The feature id for the 'Suppress Interfaces' attribute
`static int` `GEN_MODEL__SUPPRESS_NOTIFICATION` The feature id for the 'Suppress Notification' attribute
`static int` `GEN_MODEL__SUPPRESS_UNSETTABLE` The feature id for the 'Suppress Unsettable' attribute
`static int` `GEN_MODEL__TABLE_PROVIDERS` The feature id for the 'Table Providers' attribute
`static int` `GEN_MODEL__TEMPLATE_DIRECTORY` The feature id for the 'Template Directory' attribute
`static int` `GEN_MODEL__TEMPLATE_PLUGIN_VARIABLES` The feature id for the 'Template Plugin Variables' attribute list
`static int` `GEN_MODEL__TEST_SUITE_CLASS` The feature id for the 'Test Suite Class' attribute
`static int` `GEN_MODEL__TESTS_DIRECTORY` The feature id for the 'Tests Directory' attribute
`static int` `GEN_MODEL__TESTS_PLUGIN_ID` The feature id for the 'Tests Plugin ID' attribute
`static int` `GEN_MODEL__TESTS_PLUGIN_VARIABLES` The feature id for the 'Tests Plugin Variables' attribute list
`static int` `GEN_MODEL__UPDATE_CLASSPATH` The feature id for the 'Update Classpath' attribute
`static int` `GEN_MODEL__USED_GEN_PACKAGES` The feature id for the 'Used Gen Packages' reference list
`static int` `GEN_MODEL_FEATURE_COUNT` The number of structural features of the 'Gen Model' class
`static int` `GEN_OPERATION` The meta object id for the '`Gen Operation`' class
`static int` `GEN_OPERATION__CACHE_ADAPTER_SCOPE` The feature id for the 'Cache Adapter Scope' attribute
`static int` `GEN_OPERATION__ECORE_OPERATION` The feature id for the 'Ecore Operation' reference
`static int` `GEN_OPERATION__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_OPERATION__GEN_CLASS` The feature id for the 'Gen Class' container reference
`static int` `GEN_OPERATION__GEN_PARAMETERS` The feature id for the 'Gen Parameters' containment reference list
`static int` `GEN_OPERATION__GEN_TYPE_PARAMETERS` The feature id for the 'Gen Type Parameters' containment reference list
`static int` `GEN_OPERATION_FEATURE_COUNT` The number of structural features of the 'Gen Operation' class
`static int` `GEN_PACKAGE` The meta object id for the '`Gen Package`' class
`static int` `GEN_PACKAGE__ADAPTER_FACTORY` The feature id for the 'Adapter Factory' attribute
`static int` `GEN_PACKAGE__BASE_PACKAGE` The feature id for the 'Base Package' attribute
`static int` `GEN_PACKAGE__CHILD_CREATION_EXTENDERS` The feature id for the 'Child Creation Extenders' attribute
`static int` `GEN_PACKAGE__CLASS_PACKAGE_SUFFIX` The feature id for the 'Class Package Suffix' attribute
`static int` `GEN_PACKAGE__CONTENT_TYPE_IDENTIFIER` The feature id for the 'Content Type Identifier' attribute
`static int` `GEN_PACKAGE__DATA_TYPE_CONVERTERS` The feature id for the 'Data Type Converters' attribute
`static int` `GEN_PACKAGE__DISPOSABLE_PROVIDER_FACTORY` The feature id for the 'Disposable Provider Factory' attribute
`static int` `GEN_PACKAGE__ECORE_PACKAGE` The feature id for the 'Ecore Package' reference
`static int` `GEN_PACKAGE__EXTENSIBLE_PROVIDER_FACTORY` The feature id for the 'Extensible Provider Factory' attribute
`static int` `GEN_PACKAGE__FILE_EXTENSIONS` The feature id for the 'File Extensions' attribute
`static int` `GEN_PACKAGE__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_PACKAGE__GEN_CLASSES` The feature id for the 'Gen Classes' containment reference list
`static int` `GEN_PACKAGE__GEN_CLASSIFIERS` The feature id for the 'Gen Classifiers' reference list
`static int` `GEN_PACKAGE__GEN_DATA_TYPES` The feature id for the 'Gen Data Types' containment reference list
`static int` `GEN_PACKAGE__GEN_ENUMS` The feature id for the 'Gen Enums' containment reference list
`static int` `GEN_PACKAGE__GEN_MODEL` The feature id for the 'Gen Model' container reference
`static int` `GEN_PACKAGE__GENERATE_EXAMPLE_CLASS` The feature id for the 'Generate Example Class' attribute
`static int` `GEN_PACKAGE__GENERATE_MODEL_WIZARD` The feature id for the 'Generate Model Wizard' attribute
`static int` `GEN_PACKAGE__INTERFACE_PACKAGE_SUFFIX` The feature id for the 'Interface Package Suffix' attribute
`static int` `GEN_PACKAGE__LITERALS_INTERFACE` The feature id for the 'Literals Interface' attribute
`static int` `GEN_PACKAGE__LOAD_INITIALIZATION` The feature id for the 'Load Initialization' attribute
`static int` `GEN_PACKAGE__META_DATA_PACKAGE_SUFFIX` The feature id for the 'Meta Data Package Suffix' attribute
`static int` `GEN_PACKAGE__MULTIPLE_EDITOR_PAGES` The feature id for the 'Multiple Editor Pages' attribute
`static int` `GEN_PACKAGE__NESTED_GEN_PACKAGES` The feature id for the 'Nested Gen Packages' containment reference list
`static int` `GEN_PACKAGE__OPERATIONS_PACKAGE` The feature id for the 'Operations Package' attribute
`static int` `GEN_PACKAGE__PREFIX` The feature id for the 'Prefix' attribute
`static int` `GEN_PACKAGE__PRESENTATION_PACKAGE_SUFFIX` The feature id for the 'Presentation Package Suffix' attribute
`static int` `GEN_PACKAGE__PROVIDER_PACKAGE_SUFFIX` The feature id for the 'Provider Package Suffix' attribute
`static int` `GEN_PACKAGE__RESOURCE` The feature id for the 'Resource' attribute
`static int` `GEN_PACKAGE__RESOURCE_INTERFACES` The feature id for the 'Resource Interfaces' attribute
`static int` `GEN_PACKAGE__TESTS_PACKAGE_SUFFIX` The feature id for the 'Tests Package Suffix' attribute
`static int` `GEN_PACKAGE__UTILITY_PACKAGE_SUFFIX` The feature id for the 'Utility Package Suffix' attribute
`static int` `GEN_PACKAGE_FEATURE_COUNT` The number of structural features of the 'Gen Package' class
`static int` `GEN_PARAMETER` The meta object id for the '`Gen Parameter`' class
`static int` `GEN_PARAMETER__ECORE_PARAMETER` The feature id for the 'Ecore Parameter' reference
`static int` `GEN_PARAMETER__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_PARAMETER__GEN_OPERATION` The feature id for the 'Gen Operation' container reference
`static int` `GEN_PARAMETER_FEATURE_COUNT` The number of structural features of the 'Gen Parameter' class
`static int` `GEN_TYPED_ELEMENT` The meta object id for the '`Gen Typed Element`' class
`static int` `GEN_TYPED_ELEMENT__GEN_ANNOTATIONS` The feature id for the 'Gen Annotations' containment reference list
`static int` `GEN_TYPED_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Gen Typed Element' class

Method Summary
`org.eclipse.emf.ecore.EClass` `getGenBase()` Returns the meta object for class '`Gen Base`'
`org.eclipse.emf.ecore.EEnum` `getGenCacheAdapterScope()` Returns the meta object for enum '`Gen Cache Adapter Scope`'
`org.eclipse.emf.ecore.EClass` `getGenClass()` Returns the meta object for class '`Gen Class`'
`org.eclipse.emf.ecore.EClass` `getGenClassifier()` Returns the meta object for class '`Gen Classifier`'
`org.eclipse.emf.ecore.EClass` `getGenDataType()` Returns the meta object for class '`Gen Data Type`'
`org.eclipse.emf.ecore.EClass` `getGenEnum()` Returns the meta object for class '`Gen Enum`'
`org.eclipse.emf.ecore.EClass` `getGenEnumLiteral()` Returns the meta object for class '`Gen Enum Literal`'
`org.eclipse.emf.ecore.EAttribute` `getGenFeature_Key()` Returns the meta object for the attribute '`Key`'
`org.eclipse.emf.ecore.EAttribute` `getGenFeature_PluralizationException()` Returns the meta object for the attribute '`Pluralization Exception`'
`org.eclipse.emf.ecore.EClass` `getGenFeature()` Returns the meta object for class '`Gen Feature`'
`org.eclipse.emf.ecore.EAttribute` `getGenModel_CacheAdapterSupport()` Returns the meta object for the attribute '`Cache Adapter Support`'
`org.eclipse.emf.ecore.EAttribute` `getGenModel_FactoryMethods()` Returns the meta object for the attribute '`Factory Methods`'
`org.eclipse.emf.ecore.EAttribute` `getGenModel_InvariantPrefix()` Returns the meta object for the attribute '`Invariant Prefix`'
`org.eclipse.emf.ecore.EAttribute` `getGenModel_PluralizedGetters()` Returns the meta object for the attribute '`Pluralized Getters`'
`org.eclipse.emf.ecore.EAttribute` `getGenModel_SafeStrings()` Returns the meta object for the attribute '`Safe Strings`'
`org.eclipse.emf.ecore.EClass` `getGenModel()` Returns the meta object for class '`Gen Model`'
`GenModelFactory` `getGenModelFactory()` Returns the factory that creates the instances of the model
`org.eclipse.emf.ecore.EAttribute` `getGenOperation_CacheAdapterScope()` Returns the meta object for the attribute '`Cache Adapter Scope`'
`org.eclipse.emf.ecore.EClass` `getGenOperation()` Returns the meta object for class '`Gen Operation`'
`org.eclipse.emf.ecore.EAttribute` `getGenPackage_OperationsPackage()` Returns the meta object for the attribute '`Operations Package`'
`org.eclipse.emf.ecore.EAttribute` `getGenPackage_ResourceInterfaces()` Returns the meta object for the attribute '`Resource Interfaces`'
`org.eclipse.emf.ecore.EClass` `getGenPackage()` Returns the meta object for class '`Gen Package`'
`org.eclipse.emf.ecore.EClass` `getGenParameter()` Returns the meta object for class '`Gen Parameter`'
`org.eclipse.emf.ecore.EClass` `getGenTypedElement()` Returns the meta object for class '`Gen Typed Element`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eCONTENT_TYPE

    static final java.lang.String eCONTENT_TYPE

  The package content type ID.

  See Also:
    Constant Field Values

### eINSTANCE

    static final GenModelPackage eINSTANCE

  The singleton instance of the package.

### GEN_BASE

    static final int GEN_BASE

  The meta object id for the '`Gen Base`' class.

  See Also:
    `GenBaseImpl`, `GenModelPackageImpl.getGenBase()`, Constant Field Values

### GEN_BASE__GEN_ANNOTATIONS

    static final int GEN_BASE__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_BASE_FEATURE_COUNT

    static final int GEN_BASE_FEATURE_COUNT

  The number of structural features of the 'Gen Base' class.

  See Also:
    Constant Field Values

### GEN_CLASS

    static final int GEN_CLASS

  The meta object id for the '`Gen Class`' class.

  See Also:
    `GenClassImpl`, `GenModelPackageImpl.getGenClass()`, Constant Field Values

### GEN_CLASS__GEN_ANNOTATIONS

    static final int GEN_CLASS__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_CLASS__GEN_PACKAGE

    static final int GEN_CLASS__GEN_PACKAGE

  The feature id for the 'Gen Package' reference.

  See Also:
    Constant Field Values

### GEN_CLASS__GEN_TYPE_PARAMETERS

    static final int GEN_CLASS__GEN_TYPE_PARAMETERS

  The feature id for the 'Gen Type Parameters' containment reference list.

  See Also:
    Constant Field Values

### GEN_CLASS__PROVIDER

    static final int GEN_CLASS__PROVIDER

  The feature id for the 'Provider' attribute.

  See Also:
    Constant Field Values

### GEN_CLASS__IMAGE

    static final int GEN_CLASS__IMAGE

  The feature id for the 'Image' attribute.

  See Also:
    Constant Field Values

### GEN_CLASS__DYNAMIC

    static final int GEN_CLASS__DYNAMIC

  The feature id for the 'Dynamic' attribute.

  See Also:
    Constant Field Values

### GEN_CLASS__ECORE_CLASS

    static final int GEN_CLASS__ECORE_CLASS

  The feature id for the 'Ecore Class' reference.

  See Also:
    Constant Field Values

### GEN_CLASS__GEN_FEATURES

    static final int GEN_CLASS__GEN_FEATURES

  The feature id for the 'Gen Features' containment reference list.

  See Also:
    Constant Field Values

### GEN_CLASS__GEN_OPERATIONS

    static final int GEN_CLASS__GEN_OPERATIONS

  The feature id for the 'Gen Operations' containment reference list.

  See Also:
    Constant Field Values

### GEN_CLASS__LABEL_FEATURE

    static final int GEN_CLASS__LABEL_FEATURE

  The feature id for the 'Label Feature' reference.

  See Also:
    Constant Field Values

### GEN_CLASS_FEATURE_COUNT

    static final int GEN_CLASS_FEATURE_COUNT

  The number of structural features of the 'Gen Class' class.

  See Also:
    Constant Field Values

### GEN_CLASSIFIER

    static final int GEN_CLASSIFIER

  The meta object id for the '`Gen Classifier`' class.

  See Also:
    `GenClassifierImpl`, `GenModelPackageImpl.getGenClassifier()`, Constant Field Values

### GEN_CLASSIFIER__GEN_ANNOTATIONS

    static final int GEN_CLASSIFIER__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_CLASSIFIER__GEN_PACKAGE

    static final int GEN_CLASSIFIER__GEN_PACKAGE

  The feature id for the 'Gen Package' reference.

  See Also:
    Constant Field Values

### GEN_CLASSIFIER__GEN_TYPE_PARAMETERS

    static final int GEN_CLASSIFIER__GEN_TYPE_PARAMETERS

  The feature id for the 'Gen Type Parameters' containment reference list.

  See Also:
    Constant Field Values

### GEN_CLASSIFIER_FEATURE_COUNT

    static final int GEN_CLASSIFIER_FEATURE_COUNT

  The number of structural features of the 'Gen Classifier' class.

  See Also:
    Constant Field Values

### GEN_DATA_TYPE

    static final int GEN_DATA_TYPE

  The meta object id for the '`Gen Data Type`' class.

  See Also:
    `GenDataTypeImpl`, `GenModelPackageImpl.getGenDataType()`, Constant Field Values

### GEN_DATA_TYPE__GEN_ANNOTATIONS

    static final int GEN_DATA_TYPE__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_DATA_TYPE__GEN_PACKAGE

    static final int GEN_DATA_TYPE__GEN_PACKAGE

  The feature id for the 'Gen Package' reference.

  See Also:
    Constant Field Values

### GEN_DATA_TYPE__GEN_TYPE_PARAMETERS

    static final int GEN_DATA_TYPE__GEN_TYPE_PARAMETERS

  The feature id for the 'Gen Type Parameters' containment reference list.

  See Also:
    Constant Field Values

### GEN_DATA_TYPE__ECORE_DATA_TYPE

    static final int GEN_DATA_TYPE__ECORE_DATA_TYPE

  The feature id for the 'Ecore Data Type' reference.

  See Also:
    Constant Field Values

### GEN_DATA_TYPE_FEATURE_COUNT

    static final int GEN_DATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Gen Data Type' class.

  See Also:
    Constant Field Values

### GEN_ENUM

    static final int GEN_ENUM

  The meta object id for the '`Gen Enum`' class.

  See Also:
    `GenEnumImpl`, `GenModelPackageImpl.getGenEnum()`, Constant Field Values

### GEN_ENUM__GEN_ANNOTATIONS

    static final int GEN_ENUM__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_ENUM__GEN_PACKAGE

    static final int GEN_ENUM__GEN_PACKAGE

  The feature id for the 'Gen Package' reference.

  See Also:
    Constant Field Values

### GEN_ENUM__GEN_TYPE_PARAMETERS

    static final int GEN_ENUM__GEN_TYPE_PARAMETERS

  The feature id for the 'Gen Type Parameters' containment reference list.

  See Also:
    Constant Field Values

### GEN_ENUM__ECORE_DATA_TYPE

    static final int GEN_ENUM__ECORE_DATA_TYPE

  The feature id for the 'Ecore Data Type' reference.

  See Also:
    Constant Field Values

### GEN_ENUM__TYPE_SAFE_ENUM_COMPATIBLE

    static final int GEN_ENUM__TYPE_SAFE_ENUM_COMPATIBLE

  The feature id for the 'Type Safe Enum Compatible' attribute.

  See Also:
    Constant Field Values

### GEN_ENUM__ECORE_ENUM

    static final int GEN_ENUM__ECORE_ENUM

  The feature id for the 'Ecore Enum' reference.

  See Also:
    Constant Field Values

### GEN_ENUM__GEN_ENUM_LITERALS

    static final int GEN_ENUM__GEN_ENUM_LITERALS

  The feature id for the 'Gen Enum Literals' containment reference list.

  See Also:
    Constant Field Values

### GEN_ENUM_FEATURE_COUNT

    static final int GEN_ENUM_FEATURE_COUNT

  The number of structural features of the 'Gen Enum' class.

  See Also:
    Constant Field Values

### GEN_ENUM_LITERAL

    static final int GEN_ENUM_LITERAL

  The meta object id for the '`Gen Enum Literal`' class.

  See Also:
    `GenEnumLiteralImpl`, `GenModelPackageImpl.getGenEnumLiteral()`, Constant Field Values

### GEN_ENUM_LITERAL__GEN_ANNOTATIONS

    static final int GEN_ENUM_LITERAL__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_ENUM_LITERAL__GEN_ENUM

    static final int GEN_ENUM_LITERAL__GEN_ENUM

  The feature id for the 'Gen Enum' container reference.

  See Also:
    Constant Field Values

### GEN_ENUM_LITERAL__ECORE_ENUM_LITERAL

    static final int GEN_ENUM_LITERAL__ECORE_ENUM_LITERAL

  The feature id for the 'Ecore Enum Literal' reference.

  See Also:
    Constant Field Values

### GEN_ENUM_LITERAL_FEATURE_COUNT

    static final int GEN_ENUM_LITERAL_FEATURE_COUNT

  The number of structural features of the 'Gen Enum Literal' class.

  See Also:
    Constant Field Values

### GEN_FEATURE

    static final int GEN_FEATURE

  The meta object id for the '`Gen Feature`' class.

  See Also:
    `GenFeatureImpl`, `GenModelPackageImpl.getGenFeature()`, Constant Field Values

### GEN_FEATURE__GEN_ANNOTATIONS

    static final int GEN_FEATURE__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_FEATURE__PROPERTY

    static final int GEN_FEATURE__PROPERTY

  The feature id for the 'Property' attribute.

  See Also:
    Constant Field Values

### GEN_FEATURE__NOTIFY

    static final int GEN_FEATURE__NOTIFY

  The feature id for the 'Notify' attribute.

  See Also:
    Constant Field Values

### GEN_FEATURE__CHILDREN

    static final int GEN_FEATURE__CHILDREN

  The feature id for the 'Children' attribute.

  See Also:
    Constant Field Values

### GEN_FEATURE__CREATE_CHILD

    static final int GEN_FEATURE__CREATE_CHILD

  The feature id for the 'Create Child' attribute.

  See Also:
    Constant Field Values

### GEN_FEATURE__PROPERTY_CATEGORY

    static final int GEN_FEATURE__PROPERTY_CATEGORY

  The feature id for the 'Property Category' attribute.

  See Also:
    Constant Field Values

### GEN_FEATURE__PROPERTY_FILTER_FLAGS

    static final int GEN_FEATURE__PROPERTY_FILTER_FLAGS

  The feature id for the 'Property Filter Flags' attribute list.

  See Also:
    Constant Field Values

### GEN_FEATURE__PROPERTY_DESCRIPTION

    static final int GEN_FEATURE__PROPERTY_DESCRIPTION

  The feature id for the 'Property Description' attribute.

  See Also:
    Constant Field Values

### GEN_FEATURE__PROPERTY_MULTI_LINE

    static final int GEN_FEATURE__PROPERTY_MULTI_LINE

  The feature id for the 'Property Multi Line' attribute.

  See Also:
    Constant Field Values

### GEN_FEATURE__PROPERTY_SORT_CHOICES

    static final int GEN_FEATURE__PROPERTY_SORT_CHOICES

  The feature id for the 'Property Sort Choices' attribute.

  See Also:
    Constant Field Values

### GEN_FEATURE__GEN_CLASS

    static final int GEN_FEATURE__GEN_CLASS

  The feature id for the 'Gen Class' container reference.

  See Also:
    Constant Field Values

### GEN_FEATURE__ECORE_FEATURE

    static final int GEN_FEATURE__ECORE_FEATURE

  The feature id for the 'Ecore Feature' reference.

  See Also:
    Constant Field Values

### GEN_FEATURE__KEY

    static final int GEN_FEATURE__KEY

  The feature id for the 'Key' attribute.

  See Also:
    Constant Field Values

### GEN_FEATURE__PLURALIZATION_EXCEPTION

    static final int GEN_FEATURE__PLURALIZATION_EXCEPTION

  The feature id for the 'Pluralization Exception' attribute.

  See Also:
    Constant Field Values

### GEN_FEATURE_FEATURE_COUNT

    static final int GEN_FEATURE_FEATURE_COUNT

  The number of structural features of the 'Gen Feature' class.

  See Also:
    Constant Field Values

### GEN_MODEL

    static final int GEN_MODEL

  The meta object id for the '`Gen Model`' class.

  See Also:
    `GenModelImpl`, `GenModelPackageImpl.getGenModel()`, Constant Field Values

### GEN_MODEL__GEN_ANNOTATIONS

    static final int GEN_MODEL__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_MODEL__COPYRIGHT_TEXT

    static final int GEN_MODEL__COPYRIGHT_TEXT

  The feature id for the 'Copyright Text' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__MODEL_DIRECTORY

    static final int GEN_MODEL__MODEL_DIRECTORY

  The feature id for the 'Model Directory' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__CREATION_COMMANDS

    static final int GEN_MODEL__CREATION_COMMANDS

  The feature id for the 'Creation Commands' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__CREATION_ICONS

    static final int GEN_MODEL__CREATION_ICONS

  The feature id for the 'Creation Icons' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__CREATION_SUBMENUS

    static final int GEN_MODEL__CREATION_SUBMENUS

  The feature id for the 'Creation Submenus' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__EDIT_DIRECTORY

    static final int GEN_MODEL__EDIT_DIRECTORY

  The feature id for the 'Edit Directory' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__EDITOR_DIRECTORY

    static final int GEN_MODEL__EDITOR_DIRECTORY

  The feature id for the 'Editor Directory' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__MODEL_PLUGIN_ID

    static final int GEN_MODEL__MODEL_PLUGIN_ID

  The feature id for the 'Model Plugin ID' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__TEMPLATE_DIRECTORY

    static final int GEN_MODEL__TEMPLATE_DIRECTORY

  The feature id for the 'Template Directory' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__RUNTIME_JAR

    static final int GEN_MODEL__RUNTIME_JAR

  The feature id for the 'Runtime Jar' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__FOREIGN_MODEL

    static final int GEN_MODEL__FOREIGN_MODEL

  The feature id for the 'Foreign Model' attribute list.

  See Also:
    Constant Field Values

### GEN_MODEL__DYNAMIC_TEMPLATES

    static final int GEN_MODEL__DYNAMIC_TEMPLATES

  The feature id for the 'Dynamic Templates' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__REDIRECTION

    static final int GEN_MODEL__REDIRECTION

  The feature id for the 'Redirection' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__FORCE_OVERWRITE

    static final int GEN_MODEL__FORCE_OVERWRITE

  The feature id for the 'Force Overwrite' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__NON_EXTERNALIZED_STRING_TAG

    static final int GEN_MODEL__NON_EXTERNALIZED_STRING_TAG

  The feature id for the 'Non Externalized String Tag' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__MODEL_NAME

    static final int GEN_MODEL__MODEL_NAME

  The feature id for the 'Model Name' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__MODEL_PLUGIN_CLASS

    static final int GEN_MODEL__MODEL_PLUGIN_CLASS

  The feature id for the 'Model Plugin Class' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__EDIT_PLUGIN_CLASS

    static final int GEN_MODEL__EDIT_PLUGIN_CLASS

  The feature id for the 'Edit Plugin Class' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__EDITOR_PLUGIN_CLASS

    static final int GEN_MODEL__EDITOR_PLUGIN_CLASS

  The feature id for the 'Editor Plugin Class' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__UPDATE_CLASSPATH

    static final int GEN_MODEL__UPDATE_CLASSPATH

  The feature id for the 'Update Classpath' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__GENERATE_SCHEMA

    static final int GEN_MODEL__GENERATE_SCHEMA

  The feature id for the 'Generate Schema' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__NON_NLS_MARKERS

    static final int GEN_MODEL__NON_NLS_MARKERS

  The feature id for the 'Non NLS Markers' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__STATIC_PACKAGES

    static final int GEN_MODEL__STATIC_PACKAGES

  The feature id for the 'Static Packages' attribute list.

  See Also:
    Constant Field Values

### GEN_MODEL__MODEL_PLUGIN_VARIABLES

    static final int GEN_MODEL__MODEL_PLUGIN_VARIABLES

  The feature id for the 'Model Plugin Variables' attribute list.

  See Also:
    Constant Field Values

### GEN_MODEL__ROOT_EXTENDS_INTERFACE

    static final int GEN_MODEL__ROOT_EXTENDS_INTERFACE

  The feature id for the 'Root Extends Interface' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__ROOT_EXTENDS_CLASS

    static final int GEN_MODEL__ROOT_EXTENDS_CLASS

  The feature id for the 'Root Extends Class' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__ROOT_IMPLEMENTS_INTERFACE

    static final int GEN_MODEL__ROOT_IMPLEMENTS_INTERFACE

  The feature id for the 'Root Implements Interface' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__SUPPRESS_EMF_TYPES

    static final int GEN_MODEL__SUPPRESS_EMF_TYPES

  The feature id for the 'Suppress EMF Types' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__SUPPRESS_EMF_META_DATA

    static final int GEN_MODEL__SUPPRESS_EMF_META_DATA

  The feature id for the 'Suppress EMF Meta Data' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__SUPPRESS_EMF_MODEL_TAGS

    static final int GEN_MODEL__SUPPRESS_EMF_MODEL_TAGS

  The feature id for the 'Suppress EMF Model Tags' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__SUPPRESS_INTERFACES

    static final int GEN_MODEL__SUPPRESS_INTERFACES

  The feature id for the 'Suppress Interfaces' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__FEATURE_MAP_WRAPPER_INTERFACE

    static final int GEN_MODEL__FEATURE_MAP_WRAPPER_INTERFACE

  The feature id for the 'Feature Map Wrapper Interface' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__FEATURE_MAP_WRAPPER_INTERNAL_INTERFACE

    static final int GEN_MODEL__FEATURE_MAP_WRAPPER_INTERNAL_INTERFACE

  The feature id for the 'Feature Map Wrapper Internal Interface' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__FEATURE_MAP_WRAPPER_CLASS

    static final int GEN_MODEL__FEATURE_MAP_WRAPPER_CLASS

  The feature id for the 'Feature Map Wrapper Class' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__RUNTIME_COMPATIBILITY

    static final int GEN_MODEL__RUNTIME_COMPATIBILITY

  The feature id for the 'Runtime Compatibility' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__RICH_CLIENT_PLATFORM

    static final int GEN_MODEL__RICH_CLIENT_PLATFORM

  The feature id for the 'Rich Client Platform' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__REFLECTIVE_DELEGATION

    static final int GEN_MODEL__REFLECTIVE_DELEGATION

  The feature id for the 'Reflective Delegation' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__CODE_FORMATTING

    static final int GEN_MODEL__CODE_FORMATTING

  The feature id for the 'Code Formatting' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__TESTS_DIRECTORY

    static final int GEN_MODEL__TESTS_DIRECTORY

  The feature id for the 'Tests Directory' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__TEST_SUITE_CLASS

    static final int GEN_MODEL__TEST_SUITE_CLASS

  The feature id for the 'Test Suite Class' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__BOOLEAN_FLAGS_FIELD

    static final int GEN_MODEL__BOOLEAN_FLAGS_FIELD

  The feature id for the 'Boolean Flags Field' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__BOOLEAN_FLAGS_RESERVED_BITS

    static final int GEN_MODEL__BOOLEAN_FLAGS_RESERVED_BITS

  The feature id for the 'Boolean Flags Reserved Bits' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__IMPORTER_ID

    static final int GEN_MODEL__IMPORTER_ID

  The feature id for the 'Importer ID' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__BUNDLE_MANIFEST

    static final int GEN_MODEL__BUNDLE_MANIFEST

  The feature id for the 'Bundle Manifest' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__FEATURE_DELEGATION

    static final int GEN_MODEL__FEATURE_DELEGATION

  The feature id for the 'Feature Delegation' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__CONTAINMENT_PROXIES

    static final int GEN_MODEL__CONTAINMENT_PROXIES

  The feature id for the 'Containment Proxies' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__MINIMAL_REFLECTIVE_METHODS

    static final int GEN_MODEL__MINIMAL_REFLECTIVE_METHODS

  The feature id for the 'Minimal Reflective Methods' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__SUPPRESS_CONTAINMENT

    static final int GEN_MODEL__SUPPRESS_CONTAINMENT

  The feature id for the 'Suppress Containment' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__SUPPRESS_NOTIFICATION

    static final int GEN_MODEL__SUPPRESS_NOTIFICATION

  The feature id for the 'Suppress Notification' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__ARRAY_ACCESSORS

    static final int GEN_MODEL__ARRAY_ACCESSORS

  The feature id for the 'Array Accessors' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__SUPPRESS_UNSETTABLE

    static final int GEN_MODEL__SUPPRESS_UNSETTABLE

  The feature id for the 'Suppress Unsettable' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__FACADE_HELPER_CLASS

    static final int GEN_MODEL__FACADE_HELPER_CLASS

  The feature id for the 'Facade Helper Class' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__COMPLIANCE_LEVEL

    static final int GEN_MODEL__COMPLIANCE_LEVEL

  The feature id for the 'Compliance Level' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__SUPPRESS_GEN_MODEL_ANNOTATIONS

    static final int GEN_MODEL__SUPPRESS_GEN_MODEL_ANNOTATIONS

  The feature id for the 'Suppress Gen Model Annotations' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__COPYRIGHT_FIELDS

    static final int GEN_MODEL__COPYRIGHT_FIELDS

  The feature id for the 'Copyright Fields' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__BINARY_COMPATIBLE_REFLECTIVE_METHODS

    static final int GEN_MODEL__BINARY_COMPATIBLE_REFLECTIVE_METHODS

  The feature id for the 'Binary Compatible Reflective Methods' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__PUBLIC_CONSTRUCTORS

    static final int GEN_MODEL__PUBLIC_CONSTRUCTORS

  The feature id for the 'Public Constructors' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__TEMPLATE_PLUGIN_VARIABLES

    static final int GEN_MODEL__TEMPLATE_PLUGIN_VARIABLES

  The feature id for the 'Template Plugin Variables' attribute list.

  See Also:
    Constant Field Values

### GEN_MODEL__PROVIDER_ROOT_EXTENDS_CLASS

    static final int GEN_MODEL__PROVIDER_ROOT_EXTENDS_CLASS

  The feature id for the 'Provider Root Extends Class' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__EDIT_PLUGIN_ID

    static final int GEN_MODEL__EDIT_PLUGIN_ID

  The feature id for the 'Edit Plugin ID' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__EDIT_PLUGIN_VARIABLES

    static final int GEN_MODEL__EDIT_PLUGIN_VARIABLES

  The feature id for the 'Edit Plugin Variables' attribute list.

  See Also:
    Constant Field Values

### GEN_MODEL__EDITOR_PLUGIN_ID

    static final int GEN_MODEL__EDITOR_PLUGIN_ID

  The feature id for the 'Editor Plugin ID' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__EDITOR_PLUGIN_VARIABLES

    static final int GEN_MODEL__EDITOR_PLUGIN_VARIABLES

  The feature id for the 'Editor Plugin Variables' attribute list.

  See Also:
    Constant Field Values

### GEN_MODEL__TESTS_PLUGIN_ID

    static final int GEN_MODEL__TESTS_PLUGIN_ID

  The feature id for the 'Tests Plugin ID' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__TESTS_PLUGIN_VARIABLES

    static final int GEN_MODEL__TESTS_PLUGIN_VARIABLES

  The feature id for the 'Tests Plugin Variables' attribute list.

  See Also:
    Constant Field Values

### GEN_MODEL__OPTIMIZED_HAS_CHILDREN

    static final int GEN_MODEL__OPTIMIZED_HAS_CHILDREN

  The feature id for the 'Optimized Has Children' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__TABLE_PROVIDERS

    static final int GEN_MODEL__TABLE_PROVIDERS

  The feature id for the 'Table Providers' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__COLOR_PROVIDERS

    static final int GEN_MODEL__COLOR_PROVIDERS

  The feature id for the 'Color Providers' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__FONT_PROVIDERS

    static final int GEN_MODEL__FONT_PROVIDERS

  The feature id for the 'Font Providers' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__RUNTIME_VERSION

    static final int GEN_MODEL__RUNTIME_VERSION

  The feature id for the 'Runtime Version' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__LANGUAGE

    static final int GEN_MODEL__LANGUAGE

  The feature id for the 'Language' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__PACKED_ENUMS

    static final int GEN_MODEL__PACKED_ENUMS

  The feature id for the 'Packed Enums' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__GEN_PACKAGES

    static final int GEN_MODEL__GEN_PACKAGES

  The feature id for the 'Gen Packages' containment reference list.

  See Also:
    Constant Field Values

### GEN_MODEL__USED_GEN_PACKAGES

    static final int GEN_MODEL__USED_GEN_PACKAGES

  The feature id for the 'Used Gen Packages' reference list.

  See Also:
    Constant Field Values

### GEN_MODEL__INTERFACE_NAME_PATTERN

    static final int GEN_MODEL__INTERFACE_NAME_PATTERN

  The feature id for the 'Interface Name Pattern' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__CLASS_NAME_PATTERN

    static final int GEN_MODEL__CLASS_NAME_PATTERN

  The feature id for the 'Class Name Pattern' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__FACTORY_METHODS

    static final int GEN_MODEL__FACTORY_METHODS

  The feature id for the 'Factory Methods' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__PLURALIZED_GETTERS

    static final int GEN_MODEL__PLURALIZED_GETTERS

  The feature id for the 'Pluralized Getters' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__CACHE_ADAPTER_SUPPORT

    static final int GEN_MODEL__CACHE_ADAPTER_SUPPORT

  The feature id for the 'Cache Adapter Support' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__SAFE_STRINGS

    static final int GEN_MODEL__SAFE_STRINGS

  The feature id for the 'Safe Strings' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL__INVARIANT_PREFIX

    static final int GEN_MODEL__INVARIANT_PREFIX

  The feature id for the 'Invariant Prefix' attribute.

  See Also:
    Constant Field Values

### GEN_MODEL_FEATURE_COUNT

    static final int GEN_MODEL_FEATURE_COUNT

  The number of structural features of the 'Gen Model' class.

  See Also:
    Constant Field Values

### GEN_OPERATION

    static final int GEN_OPERATION

  The meta object id for the '`Gen Operation`' class.

  See Also:
    `GenOperationImpl`, `GenModelPackageImpl.getGenOperation()`, Constant Field Values

### GEN_OPERATION__GEN_ANNOTATIONS

    static final int GEN_OPERATION__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_OPERATION__GEN_CLASS

    static final int GEN_OPERATION__GEN_CLASS

  The feature id for the 'Gen Class' container reference.

  See Also:
    Constant Field Values

### GEN_OPERATION__ECORE_OPERATION

    static final int GEN_OPERATION__ECORE_OPERATION

  The feature id for the 'Ecore Operation' reference.

  See Also:
    Constant Field Values

### GEN_OPERATION__GEN_PARAMETERS

    static final int GEN_OPERATION__GEN_PARAMETERS

  The feature id for the 'Gen Parameters' containment reference list.

  See Also:
    Constant Field Values

### GEN_OPERATION__GEN_TYPE_PARAMETERS

    static final int GEN_OPERATION__GEN_TYPE_PARAMETERS

  The feature id for the 'Gen Type Parameters' containment reference list.

  See Also:
    Constant Field Values

### GEN_OPERATION__CACHE_ADAPTER_SCOPE

    static final int GEN_OPERATION__CACHE_ADAPTER_SCOPE

  The feature id for the 'Cache Adapter Scope' attribute.

  See Also:
    Constant Field Values

### GEN_OPERATION_FEATURE_COUNT

    static final int GEN_OPERATION_FEATURE_COUNT

  The number of structural features of the 'Gen Operation' class.

  See Also:
    Constant Field Values

### GEN_PACKAGE

    static final int GEN_PACKAGE

  The meta object id for the '`Gen Package`' class.

  See Also:
    `GenPackageImpl`, `GenModelPackageImpl.getGenPackage()`, Constant Field Values

### GEN_PACKAGE__GEN_ANNOTATIONS

    static final int GEN_PACKAGE__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_PACKAGE__PREFIX

    static final int GEN_PACKAGE__PREFIX

  The feature id for the 'Prefix' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__BASE_PACKAGE

    static final int GEN_PACKAGE__BASE_PACKAGE

  The feature id for the 'Base Package' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__RESOURCE

    static final int GEN_PACKAGE__RESOURCE

  The feature id for the 'Resource' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__DISPOSABLE_PROVIDER_FACTORY

    static final int GEN_PACKAGE__DISPOSABLE_PROVIDER_FACTORY

  The feature id for the 'Disposable Provider Factory' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__ADAPTER_FACTORY

    static final int GEN_PACKAGE__ADAPTER_FACTORY

  The feature id for the 'Adapter Factory' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__LOAD_INITIALIZATION

    static final int GEN_PACKAGE__LOAD_INITIALIZATION

  The feature id for the 'Load Initialization' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__INTERFACE_PACKAGE_SUFFIX

    static final int GEN_PACKAGE__INTERFACE_PACKAGE_SUFFIX

  The feature id for the 'Interface Package Suffix' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__META_DATA_PACKAGE_SUFFIX

    static final int GEN_PACKAGE__META_DATA_PACKAGE_SUFFIX

  The feature id for the 'Meta Data Package Suffix' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__CLASS_PACKAGE_SUFFIX

    static final int GEN_PACKAGE__CLASS_PACKAGE_SUFFIX

  The feature id for the 'Class Package Suffix' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__UTILITY_PACKAGE_SUFFIX

    static final int GEN_PACKAGE__UTILITY_PACKAGE_SUFFIX

  The feature id for the 'Utility Package Suffix' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__PROVIDER_PACKAGE_SUFFIX

    static final int GEN_PACKAGE__PROVIDER_PACKAGE_SUFFIX

  The feature id for the 'Provider Package Suffix' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__PRESENTATION_PACKAGE_SUFFIX

    static final int GEN_PACKAGE__PRESENTATION_PACKAGE_SUFFIX

  The feature id for the 'Presentation Package Suffix' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__TESTS_PACKAGE_SUFFIX

    static final int GEN_PACKAGE__TESTS_PACKAGE_SUFFIX

  The feature id for the 'Tests Package Suffix' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__GENERATE_EXAMPLE_CLASS

    static final int GEN_PACKAGE__GENERATE_EXAMPLE_CLASS

  The feature id for the 'Generate Example Class' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__LITERALS_INTERFACE

    static final int GEN_PACKAGE__LITERALS_INTERFACE

  The feature id for the 'Literals Interface' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__DATA_TYPE_CONVERTERS

    static final int GEN_PACKAGE__DATA_TYPE_CONVERTERS

  The feature id for the 'Data Type Converters' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__MULTIPLE_EDITOR_PAGES

    static final int GEN_PACKAGE__MULTIPLE_EDITOR_PAGES

  The feature id for the 'Multiple Editor Pages' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__GENERATE_MODEL_WIZARD

    static final int GEN_PACKAGE__GENERATE_MODEL_WIZARD

  The feature id for the 'Generate Model Wizard' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__EXTENSIBLE_PROVIDER_FACTORY

    static final int GEN_PACKAGE__EXTENSIBLE_PROVIDER_FACTORY

  The feature id for the 'Extensible Provider Factory' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__CHILD_CREATION_EXTENDERS

    static final int GEN_PACKAGE__CHILD_CREATION_EXTENDERS

  The feature id for the 'Child Creation Extenders' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__CONTENT_TYPE_IDENTIFIER

    static final int GEN_PACKAGE__CONTENT_TYPE_IDENTIFIER

  The feature id for the 'Content Type Identifier' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__FILE_EXTENSIONS

    static final int GEN_PACKAGE__FILE_EXTENSIONS

  The feature id for the 'File Extensions' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__ECORE_PACKAGE

    static final int GEN_PACKAGE__ECORE_PACKAGE

  The feature id for the 'Ecore Package' reference.

  See Also:
    Constant Field Values

### GEN_PACKAGE__GEN_MODEL

    static final int GEN_PACKAGE__GEN_MODEL

  The feature id for the 'Gen Model' container reference.

  See Also:
    Constant Field Values

### GEN_PACKAGE__GEN_ENUMS

    static final int GEN_PACKAGE__GEN_ENUMS

  The feature id for the 'Gen Enums' containment reference list.

  See Also:
    Constant Field Values

### GEN_PACKAGE__GEN_DATA_TYPES

    static final int GEN_PACKAGE__GEN_DATA_TYPES

  The feature id for the 'Gen Data Types' containment reference list.

  See Also:
    Constant Field Values

### GEN_PACKAGE__GEN_CLASSES

    static final int GEN_PACKAGE__GEN_CLASSES

  The feature id for the 'Gen Classes' containment reference list.

  See Also:
    Constant Field Values

### GEN_PACKAGE__NESTED_GEN_PACKAGES

    static final int GEN_PACKAGE__NESTED_GEN_PACKAGES

  The feature id for the 'Nested Gen Packages' containment reference list.

  See Also:
    Constant Field Values

### GEN_PACKAGE__GEN_CLASSIFIERS

    static final int GEN_PACKAGE__GEN_CLASSIFIERS

  The feature id for the 'Gen Classifiers' reference list.

  See Also:
    Constant Field Values

### GEN_PACKAGE__RESOURCE_INTERFACES

    static final int GEN_PACKAGE__RESOURCE_INTERFACES

  The feature id for the 'Resource Interfaces' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE__OPERATIONS_PACKAGE

    static final int GEN_PACKAGE__OPERATIONS_PACKAGE

  The feature id for the 'Operations Package' attribute.

  See Also:
    Constant Field Values

### GEN_PACKAGE_FEATURE_COUNT

    static final int GEN_PACKAGE_FEATURE_COUNT

  The number of structural features of the 'Gen Package' class.

  See Also:
    Constant Field Values

### GEN_PARAMETER

    static final int GEN_PARAMETER

  The meta object id for the '`Gen Parameter`' class.

  See Also:
    `GenParameterImpl`, `GenModelPackageImpl.getGenParameter()`, Constant Field Values

### GEN_PARAMETER__GEN_ANNOTATIONS

    static final int GEN_PARAMETER__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_PARAMETER__GEN_OPERATION

    static final int GEN_PARAMETER__GEN_OPERATION

  The feature id for the 'Gen Operation' container reference.

  See Also:
    Constant Field Values

### GEN_PARAMETER__ECORE_PARAMETER

    static final int GEN_PARAMETER__ECORE_PARAMETER

  The feature id for the 'Ecore Parameter' reference.

  See Also:
    Constant Field Values

### GEN_PARAMETER_FEATURE_COUNT

    static final int GEN_PARAMETER_FEATURE_COUNT

  The number of structural features of the 'Gen Parameter' class.

  See Also:
    Constant Field Values

### GEN_TYPED_ELEMENT

    static final int GEN_TYPED_ELEMENT

  The meta object id for the '`Gen Typed Element`' class.

  See Also:
    `GenTypedElementImpl`, `GenModelPackageImpl.getGenTypedElement()`, Constant Field Values

### GEN_TYPED_ELEMENT__GEN_ANNOTATIONS

    static final int GEN_TYPED_ELEMENT__GEN_ANNOTATIONS

  The feature id for the 'Gen Annotations' containment reference list.

  See Also:
    Constant Field Values

### GEN_TYPED_ELEMENT_FEATURE_COUNT

    static final int GEN_TYPED_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Gen Typed Element' class.

  See Also:
    Constant Field Values

### GEN_CACHE_ADAPTER_SCOPE

    static final int GEN_CACHE_ADAPTER_SCOPE

  The meta object id for the '`Gen Cache Adapter Scope`' enum.

  See Also:
    `GenCacheAdapterScope`, `GenModelPackageImpl.getGenCacheAdapterScope()`, Constant Field Values

Method Detail

### getGenBase

    org.eclipse.emf.ecore.EClass getGenBase()

  Returns the meta object for class '`Gen Base`'.

  Returns:
    the meta object for class 'Gen Base'.
  See Also:
    `GenBase`

### getGenClass

    org.eclipse.emf.ecore.EClass getGenClass()

  Returns the meta object for class '`Gen Class`'.

  Returns:
    the meta object for class 'Gen Class'.
  See Also:
    `GenClass`

### getGenClassifier

    org.eclipse.emf.ecore.EClass getGenClassifier()

  Returns the meta object for class '`Gen Classifier`'.

  Returns:
    the meta object for class 'Gen Classifier'.
  See Also:
    `GenClassifier`

### getGenDataType

    org.eclipse.emf.ecore.EClass getGenDataType()

  Returns the meta object for class '`Gen Data Type`'.

  Returns:
    the meta object for class 'Gen Data Type'.
  See Also:
    `GenDataType`

### getGenEnum

    org.eclipse.emf.ecore.EClass getGenEnum()

  Returns the meta object for class '`Gen Enum`'.

  Returns:
    the meta object for class 'Gen Enum'.
  See Also:
    `GenEnum`

### getGenEnumLiteral

    org.eclipse.emf.ecore.EClass getGenEnumLiteral()

  Returns the meta object for class '`Gen Enum Literal`'.

  Returns:
    the meta object for class 'Gen Enum Literal'.
  See Also:
    `GenEnumLiteral`

### getGenFeature

    org.eclipse.emf.ecore.EClass getGenFeature()

  Returns the meta object for class '`Gen Feature`'.

  Returns:
    the meta object for class 'Gen Feature'.
  See Also:
    `GenFeature`

### getGenFeature_Key

    org.eclipse.emf.ecore.EAttribute getGenFeature_Key()

  Returns the meta object for the attribute '`Key`'.

  Returns:
    the meta object for the attribute 'Key'.
  See Also:
    `GenFeature.isKey()`, `getGenFeature()`

### getGenFeature_PluralizationException

    org.eclipse.emf.ecore.EAttribute getGenFeature_PluralizationException()

  Returns the meta object for the attribute '`Pluralization Exception`'.

  Returns:
    the meta object for the attribute 'Pluralization Exception'.
  See Also:
    `GenFeature.isPluralizationException()`, `getGenFeature()`

### getGenModel

    org.eclipse.emf.ecore.EClass getGenModel()

  Returns the meta object for class '`Gen Model`'.

  Returns:
    the meta object for class 'Gen Model'.
  See Also:
    `GenModel`

### getGenModel_FactoryMethods

    org.eclipse.emf.ecore.EAttribute getGenModel_FactoryMethods()

  Returns the meta object for the attribute '`Factory Methods`'.

  Returns:
    the meta object for the attribute 'Factory Methods'.
  See Also:
    `GenModel.isFactoryMethods()`, `getGenModel()`

### getGenModel_PluralizedGetters

    org.eclipse.emf.ecore.EAttribute getGenModel_PluralizedGetters()

  Returns the meta object for the attribute '`Pluralized Getters`'.

  Returns:
    the meta object for the attribute 'Pluralized Getters'.
  See Also:
    `GenModel.isPluralizedGetters()`, `getGenModel()`

### getGenModel_CacheAdapterSupport

    org.eclipse.emf.ecore.EAttribute getGenModel_CacheAdapterSupport()

  Returns the meta object for the attribute '`Cache Adapter Support`'.

  Returns:
    the meta object for the attribute 'Cache Adapter Support'.
  See Also:
    `GenModel.isCacheAdapterSupport()`, `getGenModel()`

### getGenModel_SafeStrings

    org.eclipse.emf.ecore.EAttribute getGenModel_SafeStrings()

  Returns the meta object for the attribute '`Safe Strings`'.

  Returns:
    the meta object for the attribute 'Safe Strings'.
  See Also:
    `GenModel.isSafeStrings()`, `getGenModel()`

### getGenModel_InvariantPrefix

    org.eclipse.emf.ecore.EAttribute getGenModel_InvariantPrefix()

  Returns the meta object for the attribute '`Invariant Prefix`'.

  Returns:
    the meta object for the attribute 'Invariant Prefix'.
  See Also:
    `GenModel.getInvariantPrefix()`, `getGenModel()`

### getGenOperation

    org.eclipse.emf.ecore.EClass getGenOperation()

  Returns the meta object for class '`Gen Operation`'.

  Returns:
    the meta object for class 'Gen Operation'.
  See Also:
    `GenOperation`

### getGenOperation_CacheAdapterScope

    org.eclipse.emf.ecore.EAttribute getGenOperation_CacheAdapterScope()

  Returns the meta object for the attribute '`Cache Adapter Scope`'.

  Returns:
    the meta object for the attribute 'Cache Adapter Scope'.
  See Also:
    `GenOperation.getCacheAdapterScope()`, `getGenOperation()`

### getGenPackage

    org.eclipse.emf.ecore.EClass getGenPackage()

  Returns the meta object for class '`Gen Package`'.

  Returns:
    the meta object for class 'Gen Package'.
  See Also:
    `GenPackage`

### getGenPackage_ResourceInterfaces

    org.eclipse.emf.ecore.EAttribute getGenPackage_ResourceInterfaces()

  Returns the meta object for the attribute '`Resource Interfaces`'.

  Returns:
    the meta object for the attribute 'Resource Interfaces'.
  See Also:
    `GenPackage.isResourceInterfaces()`, `getGenPackage()`

### getGenPackage_OperationsPackage

    org.eclipse.emf.ecore.EAttribute getGenPackage_OperationsPackage()

  Returns the meta object for the attribute '`Operations Package`'.

  Returns:
    the meta object for the attribute 'Operations Package'.
  See Also:
    `GenPackage.getOperationsPackage()`, `getGenPackage()`

### getGenParameter

    org.eclipse.emf.ecore.EClass getGenParameter()

  Returns the meta object for class '`Gen Parameter`'.

  Returns:
    the meta object for class 'Gen Parameter'.
  See Also:
    `GenParameter`

### getGenTypedElement

    org.eclipse.emf.ecore.EClass getGenTypedElement()

  Returns the meta object for class '`Gen Typed Element`'.

  Returns:
    the meta object for class 'Gen Typed Element'.
  See Also:
    `GenTypedElement`

### getGenCacheAdapterScope

    org.eclipse.emf.ecore.EEnum getGenCacheAdapterScope()

  Returns the meta object for enum '`Gen Cache Adapter Scope`'.

  Returns:
    the meta object for enum 'Gen Cache Adapter Scope'.
  See Also:
    `GenCacheAdapterScope`

### getGenModelFactory

    GenModelFactory getGenModelFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.